unit unitMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    btnCitajKarticu: TButton;
    Memo1: TMemo;
    btnSaveMemoToFile: TButton;
    btnLoadFromFile: TButton;
    procedure btnCitajKarticuClick(Sender: TObject);
    procedure btnSaveMemoToFileClick(Sender: TObject);
    procedure btnLoadFromFileClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  CELIKAPI_Savkic;
  
{$R *.dfm}

procedure TForm1.btnCitajKarticuClick(Sender: TObject);
var
  PodaciOLK: EID_DOCUMENT_DATA;
  NepromenljiviPodaci: EID_FIXED_PERSONAL_DATA;
  PromenljiviPodaci: EID_VARIABLE_PERSONAL_DATA;
begin
  FillChar(PodaciOLK, SizeOf(PodaciOLK), 0);
  FillChar(NepromenljiviPodaci, SizeOf(NepromenljiviPodaci), 0);
  FillChar(PromenljiviPodaci, SizeOf(PromenljiviPodaci), 0);

  EidStartup(1);
  EidBeginRead('');
  EidReadDocumentData(@PodaciOLK);
  EidReadFixedPersonalData(@NepromenljiviPodaci);
  EidReadVariablePersonalData(@PromenljiviPodaci);
  EidEndRead;
  EidCleanup;

  Memo1.Clear;
  Memo1.Lines.Add('Reg.no: ' + PodaciOLK.docRegNo);
  Memo1.Lines.Add('Datum izdavanja: ' + PodaciOLK.issuingDate);
  Memo1.Lines.Add('Datum isteka: ' + PodaciOLK.expiryDate);
  Memo1.Lines.Add('Izdaje: ' + Utf8Decode(PodaciOLK.issuingAuthority));

  Memo1.Lines.Add('-----------------------------------------');
  Memo1.Lines.Add('Prezime: ' + NepromenljiviPodaci.surname);
  Memo1.Lines.Add('Ime: ' + NepromenljiviPodaci.givenName);
  Memo1.Lines.Add('Ime roditelja: ' + NepromenljiviPodaci.parentGivenName);
  Memo1.Lines.Add('Pol: ' + NepromenljiviPodaci.sex);
  Memo1.Lines.Add('Mesto roenja: ' + NepromenljiviPodaci.placeOfBirth);
  Memo1.Lines.Add('Drava: ' + NepromenljiviPodaci.stateOfBirth);
  Memo1.Lines.Add('Datum roenja: ' + NepromenljiviPodaci.dateOfBirth);
  Memo1.Lines.Add('Optina: ' + NepromenljiviPodaci.communityOfBirth);

  Memo1.Lines.Add('-----------------------------------------');
  Memo1.Lines.Add('Prebivalite - oznaka drave: ' + Utf8Decode(PromenljiviPodaci.state));
  Memo1.Lines.Add('Prebivalite - optina: ' + Utf8Decode(PromenljiviPodaci.community));
  Memo1.Lines.Add('Prebivalite - mesto: ' + Utf8Decode(PromenljiviPodaci.place));
  Memo1.Lines.Add('Prebivalite - ulica: ' + Utf8Decode(PromenljiviPodaci.street));
  Memo1.Lines.Add('Prebivalite - kuni broj: ' + PromenljiviPodaci.houseNumber);
  Memo1.Lines.Add('Prebivalite - slovo uz broj: ' + PromenljiviPodaci.houseLetter);
  Memo1.Lines.Add('Prebivalite - ulaz: ' + PromenljiviPodaci.entrance);
  Memo1.Lines.Add('Prebivalite - sprat: ' + PromenljiviPodaci.floor);
  Memo1.Lines.Add('Prebivalite - broj stana: ' + PromenljiviPodaci.apartmentNumber);
end;

procedure TForm1.btnLoadFromFileClick(Sender: TObject);
begin
  Memo1.Lines.LoadFromFile('LK.txt');
end;

procedure TForm1.btnSaveMemoToFileClick(Sender: TObject);
begin
  Memo1.Lines.SaveToFile('LK.txt');
end;

end.
